Bug 1032380 - AttributeError: 'DiskLabel' object has no attribute 'peStart'
AttributeError: 'DiskLabel' object has no attribute 'peStart'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:453a299083eccbf89d6794facbb...
:
Depends On:
Blocks: 1052442
  Show dependency treegraph
 
Reported: 2013-11-19 23:40 EST by Andrei Neagoe
Modified: 2014-01-13 15:17 EST (History)
9 users (show)

See Also:
Fixed In Version: python-blivet-0.23.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1052442 (view as bug list)
Environment:
Last Closed: 2013-11-29 08:56:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (3.75 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: environ (609 bytes, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: lsblk_output (1.37 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: nmcli_dev_list (6.02 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: os_info (179 bytes, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: program.log (57.32 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: storage.log (188.82 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: syslog (331.56 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: ifcfg.log (1.14 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details
File: packaging.log (4.58 KB, text/plain)
2013-11-19 23:40 EST, Andrei Neagoe
no flags Details

  None (edit)
Description Andrei Neagoe 2013-11-19 23:40:16 EST
Description of problem:
When trying to reinstall a fedora 17 box with fedora 19, this issue is triggered if two (or more) disks are present and at least one of them is an LVM member directly (ie no partitioning involved). In order to successfully reinstall one is required to remove all VGs prior to installation or in the kickstart itself. It could also be that using different volume names during install would also work but we haven't tested.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2368, in size
    size += max(0, self.align(pv.size - pv.format.peStart))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2385, in freeSpace
    log.debug("%s size is %dMB" % (self.name, self.size))
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1926, in growLVM
    total_free = vg.freeSpace
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 639, in execute
    growLVM(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1648, in doKickstartStorage
    ksdata.logvol.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 253, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 49, in setup
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/__init__.py", line 165, in setup
    obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 1086, in <module>
    anaconda._intf.setup(ksdata)
AttributeError: 'DiskLabel' object has no attribute 'peStart'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz_cobbler mpath BOOTIF=00:21:5e:c9:09:80 blacklist=nouveau nomodeset=null sshd=1 biosdevname=0 text kssendmac vga=771 net.ifnames=0 ks=http://cobbler-prod.trading.imc.intra/cblr/svc/op/ks/system/satinmoth.trading.imc.intra linksleep=20 nicdelay=10
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19
Comment 1 Andrei Neagoe 2013-11-19 23:40:21 EST
Created attachment 826415 [details]
File: anaconda-tb
Comment 2 Andrei Neagoe 2013-11-19 23:40:24 EST
Created attachment 826416 [details]
File: anaconda.log
Comment 3 Andrei Neagoe 2013-11-19 23:40:28 EST
Created attachment 826417 [details]
File: environ
Comment 4 Andrei Neagoe 2013-11-19 23:40:31 EST
Created attachment 826418 [details]
File: ks.cfg
Comment 5 Andrei Neagoe 2013-11-19 23:40:34 EST
Created attachment 826419 [details]
File: lsblk_output
Comment 6 Andrei Neagoe 2013-11-19 23:40:37 EST
Created attachment 826420 [details]
File: nmcli_dev_list
Comment 7 Andrei Neagoe 2013-11-19 23:40:40 EST
Created attachment 826421 [details]
File: os_info
Comment 8 Andrei Neagoe 2013-11-19 23:40:43 EST
Created attachment 826422 [details]
File: program.log
Comment 9 Andrei Neagoe 2013-11-19 23:40:46 EST
Created attachment 826423 [details]
File: storage.log
Comment 10 Andrei Neagoe 2013-11-19 23:40:49 EST
Created attachment 826424 [details]
File: syslog
Comment 11 Andrei Neagoe 2013-11-19 23:40:52 EST
Created attachment 826425 [details]
File: ifcfg.log
Comment 12 Andrei Neagoe 2013-11-19 23:40:55 EST
Created attachment 826426 [details]
File: packaging.log
Comment 13 Fedora Update System 2013-11-25 21:35:08 EST
python-blivet-0.23.6-1.fc20, anaconda-20.25.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-21928/python-blivet-0.23.6-1.fc20,anaconda-20.25.11-1.fc20
Comment 14 Fedora Update System 2013-11-26 12:57:19 EST
Package python-blivet-0.23.6-1.fc20, anaconda-20.25.11-1.fc20, pykickstart-1.99.48-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.23.6-1.fc20 anaconda-20.25.11-1.fc20 pykickstart-1.99.48-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21928/pykickstart-1.99.48-1.fc20,python-blivet-0.23.6-1.fc20,anaconda-20.25.11-1.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-29 08:56:09 EST
python-blivet-0.23.7-1.fc20, anaconda-20.25.12-1.fc20, pykickstart-1.99.48-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.